define({ "api": [
  {
    "type": "get",
    "url": "/api/attachment/delete/{md5}",
    "title": "删除文件（图片）",
    "description": "<p>删除文件（图片）</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDeleteMd5"
  },
  {
    "type": "get",
    "url": "/api/attachment/download/{md5}",
    "title": "下载文件（图片）",
    "description": "<p>下载文件（图片）(get code)</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  文件二进制码\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 404 Not found",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDownloadMd5"
  },
  {
    "type": "post",
    "url": "/api/attachment/upload",
    "title": "通用上传接口",
    "description": "<p>通用上传接口</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "tag",
            "description": "<p>附件标签 avatar video dream</p>"
          },
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "file",
            "description": "<p>附件（可以多个，使用file.xxx，可返回多个）[默认大小【10M】, 类型图片png jpg gif,视频类型mp4]</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n        \"md5\": \"57c0fe723e1d7f7b0e45fd455aee19f2\",\n        \"url\": \"http://dev.xxg.com/upload/upload/20180727/57c0fe723e1d7f7b0e45fd455aee19f2.jpg\"\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentUpload"
  },
  {
    "type": "get",
    "url": "/api/home/activecard",
    "title": "激活兑换卡",
    "description": "<p>激活兑换卡</p>",
    "group": "Coupon",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "card_no",
            "description": "<p>兑换卡编号</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": true\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"code\": \"10006\",\n         \"msg\": \"该兑换卡已经失效\"\n     }\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1005    CLIENT_WRONG_PARAMS             该兑换卡不存在\n   1006    CLIENT_WRONG_PARAMS             该兑换卡已经失效",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Coupon",
    "name": "GetApiHomeActivecard"
  },
  {
    "type": "get",
    "url": "/api/home/couponlist",
    "title": "可领取的优惠券列表",
    "description": "<p>可领取的优惠券列表</p>",
    "group": "Coupon",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\":  [\n...\n                 {\n                     \"id\": 1,\n                     \"name\": \"证件照七折优惠\",                 //优惠券名字\n                     \"type\": \"1\",                            //优惠券类型 0：固定金额优惠，1：折扣优惠\n                     \"min_price\": 100,                       //最低使用金额\n                     \"discount\": \"7\",                        //折扣\n                     \"discount_price\": null,                 //优惠金额\n                     \"product_id\": \"1,2\",                    //可使用的产品id\n                     \"count\": 10,                            //剩余数量\n                     \"end_time\": \"2018-07-31\",               //有效期\n                     \"created_at\": \"2018-07-13 07:29:27\",\n                     \"updated_at\": \"2018-07-18 06:36:38\"e\n                 }\n...\n             ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Coupon",
    "name": "GetApiHomeCouponlist"
  },
  {
    "type": "get",
    "url": "/api/home/getcoupon",
    "title": "领取优惠券",
    "description": "<p>领取优惠券</p>",
    "group": "Coupon",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "coupon_id",
            "description": "<p>优惠券ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n             \"res\": true         //领取成功\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"code\": 10001,\n         \"msg\": \"你已经领取过改优惠券，不能重复领取！\"\n     }\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1001    CLIENT_WRONG_PARAMS             你已经领取过改优惠券，不能重复领取",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Coupon",
    "name": "GetApiHomeGetcoupon"
  },
  {
    "type": "get",
    "url": "/api/home/mycoupon",
    "title": "我的优惠券/兑换卡列表",
    "description": "<p>我的优惠券/兑换卡列表</p>",
    "group": "Coupon",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"mycoupons\":[\n             ...\n                 {\n                     \"id\": 1,\n                     \"coupon_id\": 1,\n                     \"user_id\": 1,\n                     \"coupon\": {\n                         \"id\": 1,\n                         \"name\": \"证件照七折优惠\",     //优惠券名字\n                         \"type\": \"1\",                //优惠券类型 0：固定金额优惠，1：折扣优惠\n                         \"min_price\": 100,           //最低使用金额\n                         \"discount\": \"7\",            //折扣\n                         \"discount_price\": null,      //优惠金额\n                         \"product_id\": \"1,2\",         //可使用的产品id\n                         \"count\": 10,\n                         \"end_time\": \"2018-07-31\",     //有效期\n                         \"created_at\": \"2018-07-13 07:29:27\",\n                         \"updated_at\": \"2018-07-18 06:36:38\"\n                         }\n                 }\n             ...\n             ],\n         \"mycards\": [\n...\n              {\n                 \"id\": 7,\n                 \"card_no\": \"15319090241\",\n                 \"price\": 50,\n                 \"min_price\": 100,\n                 \"status\": 1,\n                 \"user_id\": 1,\n                 \"remark\": \"梁源源--13407570861\",\n                 \"end_time\": \"2019-07-31\",\n                 \"qrcode\": null,\n                 \"product_id\": \"1,2\",\n                 \"deleted_at\": null,\n                 \"created_at\": \"2018-07-18 10:17:04\",\n                 \"updated_at\": \"2018-08-09 02:11:36\"\n             }\n...\n         ],\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Coupon",
    "name": "GetApiHomeMycoupon"
  },
  {
    "type": "get",
    "url": "/api/home/usablecoupon",
    "title": "获取订单可用的优惠券/兑换卡",
    "description": "<p>获取订单可用的优惠券/兑换卡</p>",
    "group": "Coupon",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品规格ID,订单中获取</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\":{\n         \"usablecoupons\":[           //可用的优惠券\n...\n                 {\n                     \"id\": 1,\n                     \"coupon_id\": 1,\n                     \"user_id\": 1,\n                     \"coupon\": {\n                     \"id\": 1,\n                     \"name\": \"证件照七折优惠\",\n                     \"type\": \"1\",\n                     \"min_price\": 100,\n                     \"discount\": \"7\",\n                     \"discount_price\": null,\n                     \"product_id\": \"1,2\",\n                     \"count\": 7,\n                     \"end_time\": \"2018-07-31\",\n                     \"created_at\": \"2018-07-13 07:29:27\",\n                     \"updated_at\": \"2018-07-21 07:41:59\"\n                 }\n             }\n...\n         ],\n\n        \"usableCards\": [       //可用兑换卡\n...\n             {\n                 \"id\": 7,\n                 \"card_no\": \"15319090241\",\n                 \"price\": 50,\n                 \"min_price\": 100,\n                 \"status\": 1,\n                 \"user_id\": 1,\n                 \"remark\": \"\",\n                 \"end_time\": \"2019-07-31\",\n                 \"product_id\": \"1,2\",\n                 \"deleted_at\": null,\n                 \"created_at\": \"2018-07-18 10:17:04\",\n                 \"updated_at\": \"2018-08-09 02:11:36\"\n             }\n     ]\n...\n}\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Coupon",
    "name": "GetApiHomeUsablecoupon"
  },
  {
    "type": "post",
    "url": "/api/home/login",
    "title": "登陆(login)",
    "description": "<p>登陆(login)</p>",
    "group": "Login",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "code",
            "description": "<p>小程序登陆后返回的code</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "nickName",
            "description": "<p>微信昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "avatar",
            "description": "<p>微信头像</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n\"token\": \"eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6IjUzMzYwMzNlNzIwOTE3YjE0NDc4YjgxMWY5MmI4MjBmMThlNDgxNjJjZGFkYmEwNGI3ZjliZTNmZjRlMTY2YjU4NGU4MzJhN2RmYzY2ZTcxIn0.eyJhdWQiOiIxIiwianRpIjoiNTMzNjAzM2U3MjA5MTdiMTQ0NzhiODExZjkyYjgyMGYxOGU0ODE2MmNkYWRiYTA0YjdmOWJlM2ZmNGUxNjZiNTg0ZTgzMmE3ZGZjNjZlNzEiLCJpYXQiOjE1MzI0MjA3NDAsIm5iZiI6MTUzMjQyMDc0MCwiZXhwIjoxNTYzOTU2NzQwLCJzdWIiOiIyIiwic2NvcGVzIjpbXX0.YnuRiJI9jlt-KeQ480UEpLWCUU8FEJvlTRtAdjOlP0BWmcdo0E9rGS4hriYnpfJOn09Cw0aRYuc4dgQYL_JWD2fodlGg1LRIvPTOtvM5TiwM86kQJawvfFw7X7p9nOhxrFa5Tyir0cdTcV0SmQbq8KIptjdR8j7wUTByKhONexBXtNnlZSpw70ckTQrAstkn97IDwPo04hhGhf6eDPc8ler0HONiAVqbRvvNG6yHShJarP1hxyXrYN2BM0N7dtLD_8Sr8XaXL6ie4rRFVM4fNwpn74DkiDwXY6-5Xet6mzPvvzARAmU5vJ7JHhcL1N7m7poNp6YCx_mZAZ1z8PGDKrtQWoVeAmIxo7qtI6jvgvUpEFnJQ-KHCunXflNBL-vIYW4o3llnYqku1pcBdAUfkYLjYUgB3EZio280_8q-6Q24VAMiHZ58AjYvHHJJssdOa3dVHGD9Iq2z1dWR6gmZ4MgGCunCcAe9L_CbDm7VtMq3nKj4a1WScRiMD5nlKAHgy4O32rtNXqDr5T-eV-QNa4ZOv4VZ1AR-WE4RkO4ArKPaFxgSa9mak98PU8NHcPaJ_B3eDbvtwtMloTXWSQP08cmUPXKjEwXvszdkUt-ZWirw5Sd22h3qMdCI3gcvzT4_rnDKCEk37P09fUIK8LZrS4s2xOhueHziMzheAF0QekI\",\n     \"user\": {\n         \"id\": 2,\n         \"nickname\": \"roger\",\n         \"openid\": \"olAS94uwfTdsL3nDnvG67p_v5Vks\",\n         \"mobile\": \"13788765546\",\n         \"avatar\": \"https://wx.qlogo.cn/mmopen/vi_32/IOcxico8l4A7W3qxDeA53Id5kVAj2ibUGvQib9QibicTp5c1RNshDj6EKz2PKWp3reHfib0xxT4wa7jJzcb7a4EggkVw/132\",\n         }\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   500                                     获取openid失败",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Login",
    "name": "PostApiHomeLogin"
  },
  {
    "type": "get",
    "url": "/api/home/myorders",
    "title": "我的订单列表",
    "description": "<p>我的订单列表</p>",
    "group": "Order",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "status",
            "description": "<p>订单状态：1：已付款，未完成拍摄；2：拍摄完成；3：已取消</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\":  {\n         \"current_page\": 1,                   //当前页\n         \"data\": [\n             ...\n             {\n                 \"id\": 3,\n                 \"out_trade_no\": \"s10003\",           //订单编号\n                 \"username\": \"roger\",\n                 \"sex\": 0,\n                 \"phone\": \"13407570876\",\n                 \"email\": \"154@qq.com\",\n                 \"store_id\": \"1\",\n                 \"schedule_time\": \"2018-07-19 10:00:00\",       //预约时间\n                 \"status\": 2,\n                 \"user_id\": 1,\n                 \"product_id\": 1,\n                 \"schedule_id\": null,\n                 \"comment\": \"\",\n                 \"created_at\": \"2018-07-19 08:53:02\",\n                 \"updated_at\": \"2018-07-19 08:53:02\",\n                 \"price\": null,\n                 \"deposit\": null,\n                 \"storename\": \"青羊店\",\n                 \"product_name\": \"证件照\"\n             },\n            ...\n        ],\n         \"first_page_url\": \"http://dev.xxg.com/api/home/myorders?page=1\",         //首页地址\n         \"from\": 1,\n         \"last_page\": 2,\n         \"last_page_url\": \"http://dev.xxg.com/api/home/myorders?page=2\",          //最后一页地址\n         \"next_page_url\": \"http://dev.xxg.com/api/home/myorders?page=2\",          //下一页地址\n         \"path\": \"http://dev.xxg.com/api/home/myorders\",\n         \"per_page\": 5,                                                           //每页显示数量\n         \"prev_page_url\": null,                                                   //上一页地址\n         \"to\": 5,\n         \"total\": 7\n         }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Order",
    "name": "GetApiHomeMyorders"
  },
  {
    "type": "get",
    "url": "/api/home/orderdetail",
    "title": "获取订单详情",
    "description": "<p>获取订单详情</p>",
    "group": "Order",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "order_id",
            "description": "<p>订单ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n                 \"id\": 27,\n                 \"out_trade_no\": \"xxg1531993028\",            //订单编号\n                 \"username\": \"lee\",                          //联系人\n                 \"phone\": \"13407570876\",                     //联系电话\n                 \"email\": \"154@qq.com\",                      //邮箱\n                 \"schedule_time\": \"2018-07-19 11:00:00\",     //预约时间\n                 \"status\": 0,\n                 \"store_id\": \"1\",\n                 \"storename\": \"青羊店\",                        //店铺名称\n                 \"product_name\": \"证件照\",                     //产品名称\n                 \"service_time\": \"约120分钟\",                  //服务时长\n                 \"price\": 199,                                //应付金额\n                 \"deposit\": 100                               //定金\n                 \"paidinfo\": {\n                     \"id\": 3,\n                     \"order_id\": \"27\",\n                     \"order_price\": 199,                    //订单价格\n                     \"type\": 0,                             //付款类型  0：全款 1：定金\n                     \"paid_price\": 199,                     //支付金额\n}\n         }\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Order",
    "name": "GetApiHomeOrderdetail"
  },
  {
    "type": "get",
    "url": "/api/home/refund",
    "title": "申请退款",
    "description": "<p>申请退款</p>",
    "group": "Order",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "order_id",
            "description": "<p>产品规格ID,订单中获取</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n             \"code\": 200,\n             \"msg\": \"退款已申请，请等待商家审核！\"\n         }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"code\": 10003,\n         \"msg\": \"该订单不能退款，如有疑问，请联系商家！\"\n     }\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Order",
    "name": "GetApiHomeRefund"
  },
  {
    "type": "post",
    "url": "/api/home/createbusiness",
    "title": "创建企业咨询",
    "description": "<p>创建企业咨询</p>",
    "group": "Order",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "company",
            "description": "<p>公司名称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "username",
            "description": "<p>联系人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "phone",
            "description": "<p>联系方式</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "email",
            "description": "<p>邮箱</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "comment",
            "description": "<p>拍摄要求</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"company\": \"斯尔克\",\n         \"username\": \"梁女士\",\n         \"phone\": \"13546554325\",\n         \"email\": \"sdfsa@163.com\",\n         \"comment\": \"sfaaafda\",\n         \"updated_at\": \"2018-08-13 06:09:07\",\n         \"created_at\": \"2018-08-13 06:09:07\",\n         \"id\": 4\n         }\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Order",
    "name": "PostApiHomeCreatebusiness"
  },
  {
    "type": "post",
    "url": "/api/home/createorder",
    "title": "创建订单",
    "description": "<p>创建订单</p>",
    "group": "Order",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>预约店铺ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品规格ID</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "schedule_time",
            "description": "<p>预约时间</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "username",
            "description": "<p>到店人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "phone",
            "description": "<p>联系方式</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "email",
            "description": "<p>邮箱（接受照片用）</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "sex",
            "description": "<p>性别 (0：男；1:女)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "comment",
            "description": "<p>备注</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n                 \"id\": 27,\n                 \"out_trade_no\": \"xxg1531993028\",            //订单编号\n                 \"username\": \"lee\",                          //联系人\n                 \"phone\": \"13407570876\",                     //联系电话\n                 \"email\": \"154@qq.com\",                      //邮箱\n                 \"schedule_time\": \"2018-07-19 11:00:00\",     //预约时间\n                 \"status\": 0,\n                 \"store_id\": \"1\",\n                 \"storename\": \"青羊店\",                        //店铺名称\n                 \"product_name\": \"证件照\",                     //产品名称\n                 \"service_time\": \"约120分钟\",                  //服务时长\n                 \"price\": 199,                                //应付金额\n                 \"deposit\": 100                               //定金\n         }\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Order",
    "name": "PostApiHomeCreateorder"
  },
  {
    "type": "post",
    "url": "/api/home/pay",
    "title": "订单支付",
    "description": "<p>订单支付</p>",
    "group": "Order",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "orderid",
            "description": "<p>订单号,创建订单后返回</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "paytype",
            "description": "<p>支付类型：0：全款支付；1：定金支付</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "couponid",
            "description": "<p>优惠券id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "cardid",
            "description": "<p>抵扣卡id(抵扣卡和优惠券不能同时使用)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n             \"appId\":\"wx1c2357232cd25f65\",\n             \"timeStamp\":\"1524907589\",\n             \"nonceStr\":\"5ae43e45eb499\",\n             \"package\":\"prepay_id=wx28172629917401724160128f0238805782\",\n             \"signType\":\"MD5\",\n             \"paySign\":\"8E9CF26B2B83C22471D023CBBDC36EDF\"\n         }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Order",
    "name": "PostApiHomePay"
  },
  {
    "type": "get",
    "url": "/api/home/getproduct",
    "title": "获取产品详情及规格",
    "description": "<p>获取产品详情及规格</p>",
    "group": "Product",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>产品的id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n                 \"id\": 1,\n                 \"name\": \"证件照\",\n                 \"detail\": \"\",                                                          //产品详情\n                 \"img\": \"/upload/images/20180712/696aa5b6187bd8b1e7eb4f7962a5a3cb.jpg\",\n                 \"spec\": [                                            //规格\n                        ...\n                       {\n                         \"id\": 1,\n                         \"name\": \"证件照\",\n                         \"img\": \"\",\n                         \"category_id\": 1,\n                         \"origin_price\": 299,                                           //原价\n                         \"current_price\": 199,                                          //折后价\n\n                        },\n                        ...\n                      ]\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Product",
    "name": "GetApiHomeGetproduct"
  },
  {
    "type": "get",
    "url": "/api/home/getproducts",
    "title": "获取产品列表",
    "description": "<p>获取产品列表</p>",
    "group": "Product",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n...\n     {\n         \"id\": 2,\n         \"name\": \"履历照\",\n         \"img\": \"/upload/images/20180712/ab83f15f31ba33e17e195a20d5307e37.jpg\"\n     },\n...\n]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Product",
    "name": "GetApiHomeGetproducts"
  },
  {
    "type": "get",
    "url": "/api/home/getschedule",
    "title": "获取店铺排期",
    "description": "<p>获取店铺排期</p>",
    "group": "Store",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "day",
            "description": "<p>要预约的日期,如：2018-7-19</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": "<p>要预约的店铺ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"am_schedule\": [\n         {\n             \"time\": \"2018-07-19 09:00:00\",\n             \"remain\": 3                       可预订人数，0表示该时间段人数已满\n         },\n         {\n             \"time\": \"2018-07-19 10:00:00\",\n             \"remain\": 0\n         },\n         {\n             \"time\": \"2018-07-19 11:00:00\",\n             \"remain\": 3\n         }\n      ],\n         \"pm_schedule\": [\n         {\n             \"time\": \"2018-07-19 14:00:00\",\n             \"remain\": 3\n         },\n         {\n             \"time\": \"2018-07-19 15:00:00\",\n             \"remain\": 0\n         },\n         {\n             \"time\": \"2018-07-19 16:00:00\",\n             \"remain\": 3\n         }\n        ]\n\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"code\": 10004,\n         \"msg\": \"店铺休假，请改天再约\"\n     }\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Store",
    "name": "GetApiHomeGetschedule"
  },
  {
    "type": "get",
    "url": "/api/home/getstores",
    "title": "获取店铺列表",
    "description": "<p>获取店铺列表</p>",
    "group": "Store",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n     ...\n         {\n             \"id\": 1,\n             \"name\": \"青羊店\",\n             \"img\": \"/upload/images/20180712/696aa5b6187bd8b1e7eb4f7962a5a3cb.jpg\",\n             \"address\": \"四川省成都市青羊区新华西路街道江汉路33号新华宾馆\",\n             \"phone\": \"18380257014\",\n             \"lat\": \"30.675999\",                 //店铺纬度\n             \"lon\": \"104.064465\"                 //店铺经度\n         },\n     ...\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Store",
    "name": "GetApiHomeGetstores"
  }
] });
